Skip to main content
Customers

Update a customer property

PATCH
/customers/{id}/properties/{property_id}
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

idstringrequired
property_idintegerrequired
Required range: 0 < x <= 9007199254740991

Body

application/json
addressobject
is_primaryenum<boolean>
Available options: true
labelstring
Maximum string length: 255
locationobject

Response

application/json

The property

X-RateLimit-Limitintegerheader

The company's daily request limit.

X-RateLimit-Remainingintegerheader

Requests left in the current daily window.

X-RateLimit-Resetstringheader

When the daily window resets (UTC ISO timestamp).

X-RateLimit-Minute-Limitintegerheader

The company's per-minute request limit.

X-RateLimit-Minute-Remainingintegerheader

Requests left in the current minute.

X-RateLimit-Minute-Resetstringheader

When the minute window resets (UTC ISO timestamp).

addressobjectrequired
created_atstringrequired
idintegerrequired
is_primarybooleanrequired
labelstring | nullrequired
locationobject | nullrequired
updated_atstringrequired